aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2017-10-24 02:34:19 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2017-10-24 02:34:19 +0000
commitea9271101740cd057bbe725515908f7b6a555d85 (patch)
treec4c490cf2392aa3ee2f56e523bd282b335ee2896 /community
parent48f66b5a205ce8c409da3fb67f46d5287f46b9e8 (diff)
downloadaports-ea9271101740cd057bbe725515908f7b6a555d85.tar.gz
aports-ea9271101740cd057bbe725515908f7b6a555d85.tar.bz2
aports-ea9271101740cd057bbe725515908f7b6a555d85.tar.xz
community/perl-net-cli-interact: upgrade to 2.300002
Diffstat (limited to 'community')
-rw-r--r--community/perl-net-cli-interact/APKBUILD33
1 files changed, 19 insertions, 14 deletions
diff --git a/community/perl-net-cli-interact/APKBUILD b/community/perl-net-cli-interact/APKBUILD
index 6a0fe03eb0..4602d6e094 100644
--- a/community/perl-net-cli-interact/APKBUILD
+++ b/community/perl-net-cli-interact/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=perl-net-cli-interact
_pkgreal=Net-CLI-Interact
-pkgver=2.200006
+pkgver=2.300002
pkgrel=0
pkgdesc="Toolkit for CLI Automation"
url="http://search.cpan.org/dist/Net-CLI-Interact/"
@@ -12,31 +12,36 @@ license="GPL PerlArtistic"
cpandepends="perl-moo perl-log-dispatch-configurator-any perl-path-class
perl-log-dispatch-config perl-ipc-run perl-moox-types-mooselike perl-mro-compat
perl-io-tty perl-class-load perl-net-telnet perl-class-mix perl-eval-closure
-perl-devel-stacktrace perl-params-validationcompiler"
-cpanmakedepends=" "
+perl-devel-stacktrace perl-params-validationcompiler perl-file-sharedir"
+cpanmakedepends="perl-module-build perl-namespace-autoclean"
depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
- cd "$_builddir"
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+ cd "$builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor
}
build() {
- cd "$_builddir"
- make && make test
+ cd "$builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build
+}
+
+check() {
+ cd "$builddir"
+ ./Build test
}
package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
+ cd "$builddir"
+ ./Build install destdir="$pkgdir" || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="d519aa3e4b3461751a4efe4f42b1d139 Net-CLI-Interact-2.200006.tar.gz"
-sha256sums="6f34950ce7c77358be9f11d703433d9c85614af805ab3a57f0a0ec0291d5484c Net-CLI-Interact-2.200006.tar.gz"
-sha512sums="2197af9baa6f021a303c1ca60740cb6303a10860090edbdebdcb97db904e19eab2e245012ad4e80f49fa78141b4adf059602fec4bfdff371f430343d833ce28a Net-CLI-Interact-2.200006.tar.gz"
+
+sha512sums="aa686f6948397294daa318ad6eea65002d03bbbdecddb8a8b5821da9624773c2a568291fae8b3f75c4cb90038832130fb39dec5c1717b382eebd94fef16d6e87 Net-CLI-Interact-2.300002.tar.gz"